Project

General

Profile

Anomalie #6135

on n'a pas de message d'erreur explicite en cas de pb dans un template

Added by Gwenael Remond over 6 years ago. Updated over 6 years ago.

Status:
Fermé
Priority:
Normal
Assigned To:
Category:
-
Start date:
09/26/2013
Due date:
09/27/2013
% Done:

100%

Spent time:
Distribution:
EOLE 2.4

Description

c'est parce que le raise Exception ne balance pas le message dans le reconfigure

        except Exception, err:
            msg = u"Erreur lors de l'instanciation du template de %s : %s" % (filevar[u'name'], err)
            raise TemplateError, msg

la sortie du reconfigure donne :

Gestion des templates
Exécution des scripts pretemplate
run-parts: executing /usr/share/eole/pretemplate/00-alias_vlan reconfigure
run-parts: executing /usr/share/eole/pretemplate/00-esu reconfigure
run-parts: executing /usr/share/eole/pretemplate/00-timezone reconfigure
run-parts: executing /usr/share/eole/pretemplate/00-web reconfigure
Génération des fichiers de configuration
Traceback (most recent call last):
  File "/usr/bin/reconfigure", line 9, in <module>
    main()
  File "/usr/lib/python2.7/dist-packages/creole/reconfigure.py", line 429, in main
    templates()
  File "/usr/lib/python2.7/dist-packages/creole/reconfigure.py", line 272, in templates
    tmpl.instance_files(container=options.container)
  File "/usr/lib/python2.7/dist-packages/creole/template.py", line 504, in instance_files
    self._instance_file(f, container=ctx)
  File "/usr/lib/python2.7/dist-packages/creole/template.py", line 460, in _instance_file
    self.process(filevar, container)
  File "/usr/lib/python2.7/dist-packages/creole/template.py", line 389, in process
    raise TemplateError, msg
creole.error.TemplateError

Associated revisions

Revision d34ee2dd (diff)
Added by Daniel Dehennin over 6 years ago

Reconfigure n’intercepte pas toutes les erreurs

  • creole/reconfigure.py (main): Intercepte la classe d’exception « Exception ».

Fixes: #6135 @5m

Revision a6ba1755 (diff)
Added by Daniel Dehennin over 6 years ago

Interception des exceptions « Exceptions »

  • bin/CreoleCat (main): On passe à « Exception »
  • bin/CreoleGet (main): Idem.
  • bin/CreoleService (main): Idem.
  • creole/client.py: Idem.
  • creole/reconfigure.py: Idem.

Ref: #6135 @10m

History

#1 Updated by Daniel Dehennin over 6 years ago

  • Due date set to 09/27/2013
  • Status changed from Nouveau to Accepté
  • Assigned To set to Daniel Dehennin
  • Start date set to 09/26/2013

Je pense que c’est un soucis d’interception d’exception qui ne fonctionne pas, du coup faut arrêter d’utiliser StandardError.

#2 Updated by Daniel Dehennin over 6 years ago

  • Status changed from Accepté to Résolu
  • % Done changed from 0 to 100

#4 Updated by Gwenael Remond over 6 years ago

  • Status changed from Résolu to Fermé

le message d'erreur est maintenant explicite :

creole.error.TemplateError: Erreur: Utilisation d'une variable non existante dans le template de /usr/sbin/ouvre.firewall : u'pouet

Also available in: Atom PDF